Name:		eekboard
Version:	0.0.3
Release:	4%{?dist}
Summary:	A Virtual Keyboard for GNOME 

Group:		Applications/System
License:	GPLv3+
URL:		http://ueno.github.com/eekboard/
Source0:	http://github.com/downloads/ueno/eekboard/eekboard-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRequires:	libfakekey-devel
BuildRequires:	libXtst-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	libxklavier-devel
%if (0%{?fedora} <= 13)
BuildRequires:	gir-repository-devel
%endif
BuildRequires:	intltool desktop-file-utils

Requires: eekboard-libs = %{version}-%{release}

%description
eekboard is a virtual keyboard software package which ships with a
standalone virtual keyboard application (eekboard), and a library to
create keyboard-like UI (libeek).

%package libs
Summary:	Runtime libraries for eekboard
Group:		System Environment/Libraries
License:	LGPLv2+

%description libs
This package contains the libraries for eekboard

%package devel
Summary:	Development tools for eekboard
Group:		Development/Libraries
License:	LGPLv2+

Requires:	vala
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package contains the development tools for eekboard.

%package devel-docs
Summary:	Developer documents for eekboard
Group:		Development/Libraries
License:	GFDL

Requires:	gtk-doc
BuildArch:	noarch

%description devel-docs
This package contains the developer documentation for eekboard.

%prep
%setup -q


%build
# Prevent the upstream configure script from using clutter-gtk-0.90,
# which is not available in Fedora yet.
export CLUTTER_GTK_CFLAGS=`pkg-config clutter-gtk-0.10 --cflags`
export CLUTTER_GTK_LIBS=`pkg-config clutter-gtk-0.10 --libs`
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
%{SOURCE1}

%find_lang %{name}


%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/eekboard
%{_datadir}/applications/%{name}.desktop

%files libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libeek*.so.*
%{_libdir}/girepository-1.0/Eek*.typelib

%files devel
%defattr(-,root,root,-)
%{_libdir}/libeek*.so
%{_includedir}/eek-0.1/eek/
%{_datadir}/gir-1.0/Eek*.gir
%{_datadir}/vala/vapi/eek*.vapi
%{_libdir}/pkgconfig/eek*.pc

%files devel-docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*


%changelog
* Mon Jun 28 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-4
- don't add gir-repository-devel to BR when building on F-13 or earlier

* Mon Jun 28 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-3
- reduced the number of BR using dependency
- add gir-repository-devel to BR
- make eekboard-devel depend on vala
- fix directory ownership of %%{_includedir}/eek-1.0/

* Thu Jun 24 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-2
- add libXtst-devel to BR

* Wed Jun 23 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-1
- new upstream release

* Wed Jun 23 2010 Daiki Ueno <dueno@redhat.com> - 0.0.2-2
- rename subpackages from libeek* to eekboard-libs*
- reduce the number of subpackages

* Tue Jun 22 2010 Daiki Ueno <dueno@redhat.com> - 0.0.2-1
- initial packaging for Fedora
